ProductCategory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ProductCategory

    java.lang.Object
      com.fenalco.entities.ProductCategory

All Implemented Interfaces:
  java.lang.Cloneable

    public class ProductCategory

extends java.lang.Object
implements java.lang.Cloneable

Author:
  Andrés Romero Rodríguez TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private boolean` | `cabasnet` indica si esta categoria es establecida por cabasnet
`private int` | `code` codigo de la categoria, ya sea el de cabasnet o el de la empresa
`private java.lang.String` | `company` identificador de la empresa que estableció la categoría, en caso de no se cabasnet
`private java.lang.String` | `name` nombre de la categoria

Constructor Summary
`ProductCategory()` constructor por omisión, no hace nada
`ProductCategory(int code)` constructor que recibe el identificador de la categoria y llama al método loadData para que la cargue de la base de datos

Method Summary
`boolean` | `delete(Transaction transaction)` elimina la información de la categoría en la base de datos construyendo la instrucción sql y pasandola a la transacción para que la ejecute
`int` | `getCode()`
`java.lang.String` | `getCompany()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`boolean` | `isCabasnet()`
`boolean` | `loadData(int code)` carga la información de la categoria desde la base de datos a partir del identificador
`static void` | `main(java.lang.String[] args)`
`boolean` | `saveData(Transaction transaction)` almacena la información de la categoría en la base de datos construyendo la instrucción sql y pasandola a la transacción para que la ejecute
`void` | `setCabasnet(boolean cabasnet)`
`void` | `setCode(int code)`
`void` | `setCompany(java.lang.String company)`
`void` | `setName(java.lang.String name)`
`boolean` | `update(Transaction transaction)` actualiza la información de la categoría en la base de datos construyendo la instrucción sql y pasandola a la transacción para que la ejecute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cabasnet

    private boolean cabasnet

  indica si esta categoria es establecida por cabasnet

### company

    private java.lang.String company

  identificador de la empresa que estableció la categoría, en caso de no se cabasnet

### code

    private int code

  codigo de la categoria, ya sea el de cabasnet o el de la empresa

### name

    private java.lang.String name

  nombre de la categoria

Constructor Detail

### ProductCategory

    public ProductCategory()

  constructor por omisión, no hace nada

### ProductCategory

    public ProductCategory(int code)

  constructor que recibe el identificador de la categoria y llama al método loadData para que la cargue de la base de datos

  Parameters:
    `id` -

Method Detail

### loadData

    public boolean loadData(int code)

  carga la información de la categoria desde la base de datos a partir del identificador

  Parameters:
    `id` - identificador de la categoria
  Returns:
    booleano que indica si se pudo efectuar la operación o no

### saveData

    public boolean saveData(Transaction transaction)

  almacena la información de la categoría en la base de datos construyendo la instrucción sql y pasandola a la transacción para que la ejecute

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo efectuar la operación o no

### update

    public boolean update(Transaction transaction)

  actualiza la información de la categoría en la base de datos construyendo la instrucción sql y pasandola a la transacción para que la ejecute

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo efectuar la operación o no

### delete

    public boolean delete(Transaction transaction)

  elimina la información de la categoría en la base de datos construyendo la instrucción sql y pasandola a la transacción para que la ejecute

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo efectuar la operación o no

### isCabasnet

    public boolean isCabasnet()

  Returns:
    Returns the cabasnet.

### setCabasnet

    public void setCabasnet(boolean cabasnet)

  Parameters:
    `cabasnet` - The cabasnet to set.

### getCode

    public int getCode()

  Returns:
    Returns the code.

### setCode

    public void setCode(int code)

  Parameters:
    `code` - The code to set.

### getCompany

    public java.lang.String getCompany()

  Returns:
    Returns the company.

### setCompany

    public void setCompany(java.lang.String company)

  Parameters:
    `company` - The company to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD